Bug 231097 - sysutils/cluster-glue unbreak (unknown type name 'selector_t')
Summary: sysutils/cluster-glue unbreak (unknown type name 'selector_t')
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on: 231096
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-02 15:07 UTC by Walter Schwarzenfeld
Modified: 2019-08-12 17:58 UTC (History)
1 user (show)

See Also:


Attachments
svn-diff-cluster-glue (1.44 KB, patch)
2018-09-02 15:07 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-cluster-glue_v2 (2.27 KB, patch)
2018-09-02 16:10 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2018-09-02 15:07:56 UTC
Created attachment 196792 [details]
svn-diff-cluster-glue

Unbreak cluster-glue, it fails with
ipmilan_command.c:52:1: error: unknown type name 'selector_t'
selector_t *os_sel;
^
ipmilan_command.c:87:16: error: unknown type name 'selector_t'
void timed_out(selector_t *sel, sel_timer_t *timer, void *data);
               ^
ipmilan_command.c:90:11: error: unknown type name 'selector_t'
timed_out(selector_t  *sel, sel_timer_t *timer, void *data)
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-09-02 16:10:43 UTC
Created attachment 196795 [details]
svn-diff-cluster-glue_v2

Adding patch for correction of header guard.
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-02-04 08:58:10 UTC
In the meantime the port has an expiration date (2019-03-05).
Comment 3 commit-hook freebsd_committer 2019-03-06 10:17:21 UTC
A commit references this bug:

Author: rene
Date: Wed Mar  6 10:16:18 UTC 2019
New revision: 494786
URL: https://svnweb.freebsd.org/changeset/ports/494786

Log:
  sysutils/cluster-glue: unbreak and modernize port

  - add USES=gnome
  - sort Makefile
  - disable HPI option because that port is currently broken

  PR:		231097
  Submitted by:	w.schwarzenfeld@utanet.at
  MFH:		2019Q1

Changes:
  head/sysutils/cluster-glue/Makefile
  head/sysutils/cluster-glue/files/patch-ipmilan__command.c
  head/sysutils/cluster-glue/files/patch-md5.h
Comment 4 commit-hook freebsd_committer 2019-03-06 11:28:27 UTC
A commit references this bug:

Author: rene
Date: Wed Mar  6 11:27:40 UTC 2019
New revision: 494790
URL: https://svnweb.freebsd.org/changeset/ports/494790

Log:
  MFH: r494786

  sysutils/cluster-glue: unbreak and modernize port

  - add USES=gnome
  - sort Makefile
  - disable HPI option because that port is currently broken

  PR:		231097
  Submitted by:	w.schwarzenfeld@utanet.at

  Approved by:	port-secteam (joneum)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/sysutils/cluster-glue/Makefile
  branches/2019Q1/sysutils/cluster-glue/files/patch-ipmilan__command.c
  branches/2019Q1/sysutils/cluster-glue/files/patch-md5.h
Comment 5 Rene Ladan freebsd_committer 2019-08-12 17:58:05 UTC
Closing PR, note that sysutils/openhpi has been removed.